---
search:
  tags:
    - external-events
    - GET
seo:
  description: >-
    List external event mappings. Reference for the GET
    /workspaces/{organizationId}/external-event-mappings endpoint in the Pile
    API.
sidebar:
  label: List external event mappings
  badge: GET
title: List external event mappings
type: openapi-operation
---
`GET /workspaces/{organizationId}/external-event-mappings`

**Responses**

- `200` — External event mapping list

Response example, 200:

```json
{
  "mappings": [
    {
      "id": "string",
      "organizationId": "string",
      "source": "string",
      "eventType": "string",
      "entityType": "issue",
      "matchPath": "string",
      "stepKey": "string",
      "enabled": true,
      "createdBy": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}
```
